Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request
Class StringToStringMapTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.eviware.soapui.impl.wsdl.panels.request.StringToStringMapTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class StringToStringMapTableModel

extends javax.swing.table.AbstractTableModel
implements javax.swing.table.TableModel

TableModel for StringToString Maps

Author:
  ole.matzura
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`StringToStringMapTableModel(StringToStringMap data, java.lang.String keyCaption, java.lang.String valueCaption, boolean editable)`

Method Summary
`void` | `add(java.lang.String key, java.lang.String value)`
`java.lang.Class<?>` | `getColumnClass(int arg0)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int arg0)`
`StringToStringMap` | `getData()`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int arg0, int arg1)`
`boolean` | `isCellEditable(int arg0, int arg1)`
`void` | `remove(int row)`
`void` | `setData(StringToStringMap data)`
`void` | `setValueAt(java.lang.Object arg0, int arg1, int arg2)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, removeTableModelListener`

Constructor Detail

### StringToStringMapTableModel

    public StringToStringMapTableModel(StringToStringMap data,
                                       java.lang.String keyCaption,
                                       java.lang.String valueCaption,
                                       boolean editable)

Method Detail

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getColumnName

    public java.lang.String getColumnName(int arg0)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int arg0,
                                  int arg1)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class<?> getColumnClass(int arg0)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object arg0,
                           int arg1,
                           int arg2)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### getValueAt

    public java.lang.Object getValueAt(int arg0,
                                       int arg1)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### add

    public void add(java.lang.String key,
                    java.lang.String value)

### remove

    public void remove(int row)

### getData

    public StringToStringMap getData()

### setData

    public void setData(StringToStringMap data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.